#include <config.h>
#include "ICHandler.hh"

void
IMCharSubsets::add_csidx(
    int idx
)
{
    IMCharSubsetIDXVec::iterator it, itl;

    itl = imcsvec.end() - 1;
    it = lower_bound(imcsvec.begin(), itl, idx);
    if ((it != itl) && (!(*it > idx))) return;
    imcsvec.insert(it, idx);
}

const int*
IMCharSubsets::get_c_csidices()
{
    if (imcsvec.empty()) return NULL;

    return &imcsvec[0];
}

IMCharSubsets::IMCharSubsets()
{
    imcsvec.push_back(0);
}

/* Local Variables: */
/* c-file-style: "iiim-project" */
/* End: */

